summaryrefslogtreecommitdiff
path: root/lb
diff options
context:
space:
mode:
authorNicolas Reynolds <fauno@kiwwwi.com.ar>2011-05-16 19:22:17 -0300
committerNicolas Reynolds <fauno@kiwwwi.com.ar>2011-05-16 19:22:17 -0300
commit50435a2614fe7f28e47164082e846b0a57c7f48c (patch)
treeda756b9e8c35b1c7ae529e9b8d7cf7804c416faf /lb
parent1e39fa9c54deedc9b212055a983bff15cc3702e6 (diff)
git-like command wrapper for all libre- commands
Diffstat (limited to 'lb')
-rwxr-xr-xlb15
1 files changed, 15 insertions, 0 deletions
diff --git a/lb b/lb
new file mode 100755
index 0000000..d4bd908
--- /dev/null
+++ b/lb
@@ -0,0 +1,15 @@
+#!/bin/bash
+# LibreTools wrapper
+# License: GPLv3
+
+source /etc/libretools.conf
+
+command=$1; shift
+
+[[ ! -f ~/l/libre${command} ]] && {
+ error "Command not found"
+}
+
+~/l/libre${command} $@
+
+exit $?